# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    package_prefix = control.package.split("-", 1)[0]

    # Forget vcredist2015-2019
    old_vcredist_pkg = package_prefix + "-" + "tis-vcredist2015-2019".split("-", 1)[1]
    if WAPT.is_installed(old_vcredist_pkg, include_errors=True):
        WAPT.forget_packages(old_vcredist_pkg)
